AjpConstants (Tomcat API Documentation)
Keywords: org.apache.jk.common.AjpConstants class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.common
Class AjpConstants

    java.lang.Object
      org.apache.jk.common.AjpConstants

    public class AjpConstants

extends java.lang.Object

Common class for the AJP Protocol values

Field Summary
`static int` | `H_SIZE` Size of basic packet header
`static java.lang.String[]` | `headerTransArray` Translates integer codes to request header names
`static byte` | `JK_AJP13_CPING_REQUEST` Message code for a CPing request
`static byte` | `JK_AJP13_CPONG_REPLY` Response code to reply to a CPing
`static byte` | `JK_AJP13_END_RESPONSE` Response code for EOT
`static byte` | `JK_AJP13_FORWARD_REQUEST` Message code for initial Request packet
`static byte` | `JK_AJP13_GET_BODY_CHUNK` Response code to request the next Request body chunk
`static byte` | `JK_AJP13_PING_REQUEST` Message code for a Ping request (obsolete)
`static byte` | `JK_AJP13_SEND_BODY_CHUNK` Response code that the package is part of the Response body
`static byte` | `JK_AJP13_SEND_HEADERS` Response code that the package is the HTTP headers
`static byte` | `JK_AJP13_SHUTDOWN` Message code for a request to shutdown Tomcat
`static int` | `MAX_PACKET_SIZE` Maximum Total byte size for a AJP packet
`static int` | `MAX_READ_SIZE` Maximum size of data that can be sent in one packet
`static java.lang.String[]` | `methodTransArray` Translates integer codes to names of HTTP methods
`static byte` | `SC_A_ARE_DONE` Terminates list of attributes
`static byte` | `SC_A_AUTH_TYPE`
`static byte` | `SC_A_CONTEXT`
`static byte` | `SC_A_JVM_ROUTE`
`static byte` | `SC_A_QUERY_STRING`
`static byte` | `SC_A_REMOTE_USER`
`static byte` | `SC_A_REQ_ATTRIBUTE` Request Attribute is passed as a String
`static java.lang.String` | `SC_A_REQ_REMOTE_PORT` AJP private request attributes
`static byte` | `SC_A_SECRET`
`static byte` | `SC_A_SERVLET_PATH`
`static byte` | `SC_A_SSL_CERT`
`static byte` | `SC_A_SSL_CIPHER`
`static byte` | `SC_A_SSL_KEY_SIZE`
`static byte` | `SC_A_SSL_KEYSIZE`
`static byte` | `SC_A_SSL_SESSION`
`static byte` | `SC_A_STORED_METHOD`
`static int` | `SC_M_JK_STORED` Request Method is passed as a String
`static int` | `SC_REQ_ACCEPT`
`static int` | `SC_REQ_ACCEPT_CHARSET`
`static int` | `SC_REQ_ACCEPT_ENCODING`
`static int` | `SC_REQ_ACCEPT_LANGUAGE`
`static int` | `SC_REQ_AUTHORIZATION`
`static int` | `SC_REQ_CONNECTION`
`static int` | `SC_REQ_CONTENT_LENGTH`
`static int` | `SC_REQ_CONTENT_TYPE`
`static int` | `SC_REQ_COOKIE`
`static int` | `SC_REQ_COOKIE2`
`static int` | `SC_REQ_HOST`
`static int` | `SC_REQ_PRAGMA`
`static int` | `SC_REQ_REFERER`
`static int` | `SC_REQ_USER_AGENT`
`static int` | `SC_RESP_CONTENT_LANGUAGE`
`static int` | `SC_RESP_CONTENT_LENGTH`
`static int` | `SC_RESP_CONTENT_TYPE`
`static int` | `SC_RESP_DATE`
`static int` | `SC_RESP_LAST_MODIFIED`
`static int` | `SC_RESP_LOCATION`
`static int` | `SC_RESP_SERVLET_ENGINE`
`static int` | `SC_RESP_SET_COOKIE`
`static int` | `SC_RESP_SET_COOKIE2`
`static int` | `SC_RESP_STATUS`
`static int` | `SC_RESP_WWW_AUTHENTICATE`

Constructor Summary
`AjpConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JK_AJP13_FORWARD_REQUEST

    public static final byte JK_AJP13_FORWARD_REQUEST

  Message code for initial Request packet

  See Also:
    Constant Field Values

### JK_AJP13_SHUTDOWN

    public static final byte JK_AJP13_SHUTDOWN

  Message code for a request to shutdown Tomcat

  See Also:
    Constant Field Values

### JK_AJP13_PING_REQUEST

    public static final byte JK_AJP13_PING_REQUEST

  Message code for a Ping request (obsolete)

  See Also:
    Constant Field Values

### JK_AJP13_CPING_REQUEST

    public static final byte JK_AJP13_CPING_REQUEST

  Message code for a CPing request

  See Also:
    Constant Field Values

### JK_AJP13_SEND_BODY_CHUNK

    public static final byte JK_AJP13_SEND_BODY_CHUNK

  Response code that the package is part of the Response body

  See Also:
    Constant Field Values

### JK_AJP13_SEND_HEADERS

    public static final byte JK_AJP13_SEND_HEADERS

  Response code that the package is the HTTP headers

  See Also:
    Constant Field Values

### JK_AJP13_END_RESPONSE

    public static final byte JK_AJP13_END_RESPONSE

  Response code for EOT

  See Also:
    Constant Field Values

### JK_AJP13_GET_BODY_CHUNK

    public static final byte JK_AJP13_GET_BODY_CHUNK

  Response code to request the next Request body chunk

  See Also:
    Constant Field Values

### JK_AJP13_CPONG_REPLY

    public static final byte JK_AJP13_CPONG_REPLY

  Response code to reply to a CPing

  See Also:
    Constant Field Values

### SC_RESP_CONTENT_TYPE

    public static final int SC_RESP_CONTENT_TYPE

See Also:
  Constant Field Values

### SC_RESP_CONTENT_LANGUAGE

    public static final int SC_RESP_CONTENT_LANGUAGE

See Also:
  Constant Field Values

### SC_RESP_CONTENT_LENGTH

    public static final int SC_RESP_CONTENT_LENGTH

See Also:
  Constant Field Values

### SC_RESP_DATE

    public static final int SC_RESP_DATE

See Also:
  Constant Field Values

### SC_RESP_LAST_MODIFIED

    public static final int SC_RESP_LAST_MODIFIED

See Also:
  Constant Field Values

### SC_RESP_LOCATION

    public static final int SC_RESP_LOCATION

See Also:
  Constant Field Values

### SC_RESP_SET_COOKIE

    public static final int SC_RESP_SET_COOKIE

See Also:
  Constant Field Values

### SC_RESP_SET_COOKIE2

    public static final int SC_RESP_SET_COOKIE2

See Also:
  Constant Field Values

### SC_RESP_SERVLET_ENGINE

    public static final int SC_RESP_SERVLET_ENGINE

See Also:
  Constant Field Values

### SC_RESP_STATUS

    public static final int SC_RESP_STATUS

See Also:
  Constant Field Values

### SC_RESP_WWW_AUTHENTICATE

    public static final int SC_RESP_WWW_AUTHENTICATE

See Also:
  Constant Field Values

### SC_A_CONTEXT

    public static final byte SC_A_CONTEXT

See Also:
  Constant Field Values

### SC_A_SERVLET_PATH

    public static final byte SC_A_SERVLET_PATH

See Also:
  Constant Field Values

### SC_A_REMOTE_USER

    public static final byte SC_A_REMOTE_USER

See Also:
  Constant Field Values

### SC_A_AUTH_TYPE

    public static final byte SC_A_AUTH_TYPE

See Also:
  Constant Field Values

### SC_A_QUERY_STRING

    public static final byte SC_A_QUERY_STRING

See Also:
  Constant Field Values

### SC_A_JVM_ROUTE

    public static final byte SC_A_JVM_ROUTE

See Also:
  Constant Field Values

### SC_A_SSL_CERT

    public static final byte SC_A_SSL_CERT

See Also:
  Constant Field Values

### SC_A_SSL_CIPHER

    public static final byte SC_A_SSL_CIPHER

See Also:
  Constant Field Values

### SC_A_SSL_SESSION

    public static final byte SC_A_SSL_SESSION

See Also:
  Constant Field Values

### SC_A_SSL_KEYSIZE

    public static final byte SC_A_SSL_KEYSIZE

See Also:
  Constant Field Values

### SC_A_SECRET

    public static final byte SC_A_SECRET

See Also:
  Constant Field Values

### SC_A_STORED_METHOD

    public static final byte SC_A_STORED_METHOD

See Also:
  Constant Field Values

### SC_A_REQ_ATTRIBUTE

    public static final byte SC_A_REQ_ATTRIBUTE

  Request Attribute is passed as a String

  See Also:
    Constant Field Values

### SC_A_REQ_REMOTE_PORT

    public static final java.lang.String SC_A_REQ_REMOTE_PORT

  AJP private request attributes

  See Also:
    Constant Field Values

### SC_A_ARE_DONE

    public static final byte SC_A_ARE_DONE

  Terminates list of attributes

  See Also:
    Constant Field Values

### methodTransArray

    public static final java.lang.String[] methodTransArray

  Translates integer codes to names of HTTP methods

### SC_M_JK_STORED

    public static final int SC_M_JK_STORED

  Request Method is passed as a String

  See Also:
    Constant Field Values

### SC_REQ_ACCEPT

    public static final int SC_REQ_ACCEPT

See Also:
  Constant Field Values

### SC_REQ_ACCEPT_CHARSET

    public static final int SC_REQ_ACCEPT_CHARSET

See Also:
  Constant Field Values

### SC_REQ_ACCEPT_ENCODING

    public static final int SC_REQ_ACCEPT_ENCODING

See Also:
  Constant Field Values

### SC_REQ_ACCEPT_LANGUAGE

    public static final int SC_REQ_ACCEPT_LANGUAGE

See Also:
  Constant Field Values

### SC_REQ_AUTHORIZATION

    public static final int SC_REQ_AUTHORIZATION

See Also:
  Constant Field Values

### SC_REQ_CONNECTION

    public static final int SC_REQ_CONNECTION

See Also:
  Constant Field Values

### SC_REQ_CONTENT_TYPE

    public static final int SC_REQ_CONTENT_TYPE

See Also:
  Constant Field Values

### SC_REQ_CONTENT_LENGTH

    public static final int SC_REQ_CONTENT_LENGTH

See Also:
  Constant Field Values

### SC_REQ_COOKIE

    public static final int SC_REQ_COOKIE

See Also:
  Constant Field Values

### SC_REQ_COOKIE2

    public static final int SC_REQ_COOKIE2

See Also:
  Constant Field Values

### SC_REQ_HOST

    public static final int SC_REQ_HOST

See Also:
  Constant Field Values

### SC_REQ_PRAGMA

    public static final int SC_REQ_PRAGMA

See Also:
  Constant Field Values

### SC_REQ_REFERER

    public static final int SC_REQ_REFERER

See Also:
  Constant Field Values

### SC_REQ_USER_AGENT

    public static final int SC_REQ_USER_AGENT

See Also:
  Constant Field Values

### SC_A_SSL_KEY_SIZE

    public static final byte SC_A_SSL_KEY_SIZE

See Also:
  Constant Field Values

### headerTransArray

    public static final java.lang.String[] headerTransArray

  Translates integer codes to request header names

### MAX_PACKET_SIZE

    public static final int MAX_PACKET_SIZE

  Maximum Total byte size for a AJP packet

  See Also:
    Constant Field Values

### H_SIZE

    public static final int H_SIZE

  Size of basic packet header

  See Also:
    Constant Field Values

### MAX_READ_SIZE

    public static final int MAX_READ_SIZE

  Maximum size of data that can be sent in one packet

  See Also:
    Constant Field Values

Constructor Detail

### AjpConstants

    public AjpConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.